Skip to main content
GET
/
api
/
v1
/
reviews
curl "https://app.demeterrr.com/api/v1/reviews?rating_min=4&replied=false" \
  -H "X-API-Key: dem_your_key_here"
{
  "data": [
    {
      "id": "bb0e8400-e29b-41d4-a716-446655440000",
      "source": "google",
      "rating": 5,
      "text": "Excellent service!",
      "publishedAt": "2026-02-10T12:00:00.000Z",
      "replyText": null,
      "respondedAt": null
    }
  ],
  "meta": {
    "page": 1,
    "perPage": 50,
    "total": 127,
    "totalPages": 3
  }
}

Authentication

Requires reviews:read scope.

Query Parameters

location_id
string
Filter by location UUID
rating_min
integer
Minimum star rating (1-5)
rating_max
integer
Maximum star rating (1-5)
replied
boolean
Filter by reply status
date_from
string
Start date (ISO 8601)
date_to
string
End date (ISO 8601)
curl "https://app.demeterrr.com/api/v1/reviews?rating_min=4&replied=false" \
  -H "X-API-Key: dem_your_key_here"
{
  "data": [
    {
      "id": "bb0e8400-e29b-41d4-a716-446655440000",
      "source": "google",
      "rating": 5,
      "text": "Excellent service!",
      "publishedAt": "2026-02-10T12:00:00.000Z",
      "replyText": null,
      "respondedAt": null
    }
  ],
  "meta": {
    "page": 1,
    "perPage": 50,
    "total": 127,
    "totalPages": 3
  }
}